> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all destinations for the authenticated user.

## Response

- **200**: Successfully retrieved list of destinations  
    - Returns: `{ "connectors": DestinationConfigDict }`

## Example Response

```json
{
  "connectors": {
    "my-s3-destination": {
      "type": "s3",
      "config": {
        "bucket": "my-bucket",
        "region": "us-east-1"
      }
    },
    "my-webhook-destination": {
      "type": "webhook",
      "config": {
        "url": "https://api.example.com/webhook"
      }
    }
  }
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /destination/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /destination/list:
    post:
      tags:
        - Destinations
      summary: List
      description: |-
        List all destinations for the authenticated user.

        ## Response

        - **200**: Successfully retrieved list of destinations  
            - Returns: `{ "connectors": DestinationConfigDict }`

        ## Example Response

        ```json
        {
          "connectors": {
            "my-s3-destination": {
              "type": "s3",
              "config": {
                "bucket": "my-bucket",
                "region": "us-east-1"
              }
            },
            "my-webhook-destination": {
              "type": "webhook",
              "config": {
                "url": "https://api.example.com/webhook"
              }
            }
          }
        }
        ```
      operationId: list_destinations_route_destination_list_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDestinationConnectorResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            destinations = client.destination.list()
            print(destinations.connectors)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const destinations = await client.destination.list();

            console.log(destinations.connectors);
components:
  schemas:
    ListDestinationConnectorResponse:
      properties:
        connectors:
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/SharepointDestinationConfig'
              - $ref: '#/components/schemas/OnedriveDestinationConfig'
              - $ref: '#/components/schemas/PostgresDestinationConfig'
              - $ref: '#/components/schemas/AzureSQLDestinationConfig'
              - $ref: '#/components/schemas/S3DestinationConfig'
            discriminator:
              propertyName: type
              mapping:
                AzureSQLNodeDestinationManager:
                  $ref: '#/components/schemas/AzureSQLDestinationConfig'
                OnedriveNodeDestinationManager:
                  $ref: '#/components/schemas/OnedriveDestinationConfig'
                PostgresNodeDestinationManager:
                  $ref: '#/components/schemas/PostgresDestinationConfig'
                S3NodeDestinationManager:
                  $ref: '#/components/schemas/S3DestinationConfig'
                SharepointNodeDestinationManager:
                  $ref: '#/components/schemas/SharepointDestinationConfig'
          type: object
          title: Connectors
      type: object
      required:
        - connectors
      title: ListDestinationConnectorResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    SharepointDestinationConfig:
      properties:
        type:
          type: string
          enum:
            - SharepointNodeDestinationManager
          const: SharepointNodeDestinationManager
          title: Type
          default: SharepointNodeDestinationManager
        name:
          type: string
          title: Name
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          title: Client Secret
        tenant_id:
          type: string
          title: Tenant Id
        sharepoint_site_name:
          type: string
          title: Sharepoint Site Name
        documents_library_folder_name:
          type: string
          title: Documents Library Folder Name
        drives:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Drives
      type: object
      required:
        - name
        - client_id
        - client_secret
        - tenant_id
        - sharepoint_site_name
        - documents_library_folder_name
      title: SharepointDestinationConfig
    OnedriveDestinationConfig:
      properties:
        type:
          type: string
          enum:
            - OnedriveNodeDestinationManager
          const: OnedriveNodeDestinationManager
          title: Type
          default: OnedriveNodeDestinationManager
        name:
          type: string
          title: Name
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          title: Client Secret
        tenant_id:
          type: string
          title: Tenant Id
        onedrive_site_name:
          type: string
          title: Onedrive Site Name
        documents_library_folder_name:
          type: string
          title: Documents Library Folder Name
        drives:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Drives
      type: object
      required:
        - name
        - client_id
        - client_secret
        - tenant_id
        - onedrive_site_name
        - documents_library_folder_name
      title: OnedriveDestinationConfig
    PostgresDestinationConfig:
      properties:
        type:
          type: string
          enum:
            - PostgresNodeDestinationManager
          const: PostgresNodeDestinationManager
          title: Type
          default: PostgresNodeDestinationManager
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        database_name:
          type: string
          title: Database Name
        collection_name:
          type: string
          title: Collection Name
        db_user:
          type: string
          title: Db User
        port:
          type: integer
          title: Port
        password:
          type: string
          title: Password
        id_key:
          type: string
          title: Id Key
          default: id
        tags_key:
          type: string
          title: Tags Key
          default: tags
        filename_key:
          type: string
          title: Filename Key
          default: filename
        text_key:
          type: string
          title: Text Key
          default: text
        dimension_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dimension Threshold
          default: 384
        page_num_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Num Key
        create_new_collection:
          type: boolean
          title: Create New Collection
          default: false
      type: object
      required:
        - name
        - url
        - database_name
        - collection_name
        - db_user
        - port
        - password
      title: PostgresDestinationConfig
    AzureSQLDestinationConfig:
      properties:
        type:
          type: string
          enum:
            - AzureSQLNodeDestinationManager
          const: AzureSQLNodeDestinationManager
          title: Type
          default: AzureSQLNodeDestinationManager
        server:
          type: string
          title: Server
        database:
          type: string
          title: Database
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        table_name:
          type: string
          title: Table Name
        port:
          type: integer
          title: Port
          default: 1433
        dimension_threshold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dimension Threshold
          default: 384
        filename_key:
          type: string
          title: Filename Key
          default: filename
        text_key:
          type: string
          title: Text Key
          default: text
        id_key:
          type: string
          title: Id Key
          default: id
        driver:
          anyOf:
            - type: string
            - type: 'null'
          title: Driver
        create_new_table:
          type: boolean
          title: Create New Table
          default: false
      type: object
      required:
        - server
        - database
        - username
        - password
        - table_name
      title: AzureSQLDestinationConfig
    S3DestinationConfig:
      properties:
        type:
          type: string
          enum:
            - S3NodeDestinationManager
          const: S3NodeDestinationManager
          title: Type
          default: S3NodeDestinationManager
        name:
          type: string
          title: Name
        bucket_name:
          type: string
          title: Bucket Name
        aws_access_key_id:
          type: string
          title: Aws Access Key Id
        aws_secret_access_key:
          type: string
          title: Aws Secret Access Key
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        deasy_tag_prefix:
          type: string
          title: Deasy Tag Prefix
          default: deasy_
      type: object
      required:
        - name
        - bucket_name
        - aws_access_key_id
        - aws_secret_access_key
      title: S3DestinationConfig
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````